#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# MOD Duo hardware tests
# Copyright (C) 2016-2020 Filipe Coelho <falktx@falktx.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# For a full copy of the GNU General Public License see the LICENSE file.

# ------------------------------------------------------------------------------------------------------------
# Imports

# usual stuff
import os

# local
from config import devInfo, testStream
from test_abstract import ExtendedTestCase

# ------------------------------------------------------------------------------------------------------------

class TestGPIOs(ExtendedTestCase):
    def test_exists(self):
        try:
            self.assertTrue(os.path.exists(devInfo.pca9685_gpio_path))
        except AssertionError as e:
            testStream.print("Peakmeter GPIO unavailable")
            raise e

        try:
            self.assertTrue(os.path.exists("%s/value" % devInfo.pca9685_gpio_path))
        except AssertionError as e:
            testStream.print("Peakmeter GPIO unavailable")
            raise e

# ------------------------------------------------------------------------------------------------------------

tests = [
    TestGPIOs
]

# ------------------------------------------------------------------------------------------------------------
